/**
 * Created on December 1st, 2009
 * 
 * Tool for exporting CEM Business Process, Business Transaction statistic, Defects data and Incidents data through CEM webservices.
 * 
 * @copyright 1999-2009 CA.  All rights reserved.
 */
package com.export;

/**
 * Constants used in the CEMExportTool
 *
 */
public class Constants {
    
    public static final String ALL_BP_STATS_DATA = "AllBPStatisticData";
    public static final String ALL_BT_STATS_DATA = "AllBTStatisticData";
    public static final String BP_STATS_DATA_BY_BP = "BPStatisticDataByBusinessProcess";
    public static final String BT_STATS_DATA_BY_BT = "BTStatisticDataByBusinessTransaction";
    public static final String BP_STATS_DATA_BY_USER_GROUP = "BPStatisticDataByUserGroup";
    public static final String BT_STATS_DATA_BY_USER_GROUP = "BTStatisticDataByUserGroup";
    public static final String BP_STATS_DATA_BY_BP_USER_GROUP = "BPStatisticDataByBusinessProcess_UserGroup";
    public static final String BT_STATS_DATA_BY_BT_USER_GROUP = "BTStatisticDataByBusinessTransaction_UserGroup";
    public static final String BT_STATS_DATA_BY_BP_BT_USER_GROUP = "BTStatisticDataByBusinessProcess_BusinessTransaction_UserGroup";
    public static final String DEFECTS_DATA_BY_BP = "DefectsDataByBusinessProcess";
    public static final String DEFECTS_DATA_BY_BT = "DefectsDataByBusinessTransaction";
    public static final String DEFECTS_DATA_BY_USER_GROUP = "DefectsDataByUserGroup";
    public static final String DEFECTS_DATA_BY_TYPE = "DefectsDataByDefectType";
    public static final String DEFECTS_DATA_BY_BP_BT_USER_GROUP_TYPE = "DefectsDataByBusinessProcess_BusinessTransaction_UserGroup_Type";
    public static final String INCIDENTS_DATA_BY_TIME_RANGE = "IncidentsDataByTimeRange";
    public static final String BP_STATS_DATA_BY_APP = "BPStatisticsDataByApplication";
    public static final String BT_STATS_DATA_BY_APP = "BTStatisticsDataByApplication";
    public static final String BP_STATS_DATA_BY_APP_USER_GROUP = "BPStatisticsDataByApplication_UserGroup";
    public static final String BT_STATS_DATA_BY_APP_USER_GROUP = "BTStatisticsDataByApplication_UserGroup";
    public static final String AGG_BP_STATS_DATA = "AggBPStatisticData";
    public static final String AGG_BT_STATS_DATA = "AggBTStatisticData";
    public static final String AGG_BP_STATS_DATA_BY_BP = "AggBPStatisticDataByBusinessProcess";
    public static final String AGG_BT_STATS_DATA_BY_BT = "AggBTStatisticDataByBusinessTransaction";
    public static final String AGG_BP_STATS_DATA_BY_USER_GROUP = "AggBPStatisticDataByUserGroup";
    public static final String AGG_BT_STATS_DATA_BY_USER_GROUP = "AggBTStatisticDataByUserGroup";
    public static final String AGG_BP_STATS_DATA_BY_BP_USER_GROUP = "AggBPStatisticDataByBusinessProcess_UserGroup";
    public static final String AGG_BT_STATS_DATA_BY_BT_USER_GROUP = "AggBTStatisticDataByBusinessTransaction_UserGroup";
    public static final String AGG_BT_STATS_DATA_BY_BP_BT_USER_GROUP = "AggBTStatisticDataByBusinessProcess_BusinessTransaction_UserGroup";
    public static final String AGG_BP_STATS_DATA_BY_APP = "AggBPStatisticsDataByApplication";
    public static final String AGG_BT_STATS_DATA_BY_APP = "AggBTStatisticsDataByApplication";
    public static final String AGG_BP_STATS_DATA_BY_APP_USER_GROUP = "AggBPStatisticsDataByApplication_UserGroup";
    public static final String AGG_BT_STATS_DATA_BY_APP_USER_GROUP = "AggBTStatisticsDataByApplication_UserGroup";
    public static final String AGG_BP_STATS_DATA_BY_USER = "AggBPStatisticDataByUser";
    public static final String AGG_BT_STATS_DATA_BY_USER = "AggBTStatisticDataByUser";
    
    // Constants used in the column header in the .csv files
    public static final String comma = ",";
    public static final String START_TIME = "#StartTime";
    public static final String END_TIME = "EndTime";
    public static final String APPLICATION_ID = "ApplicationID";
    public static final String APPLICATION_NAME = "ApplicationName";
    public static final String BUSINESS_PROCESS_ID = "BusinessProcessID";
    public static final String BUSINESS_PROCESS_NAME = "BusinessProcessName";
    public static final String USER_GROUP_ID = "UserGroupID";
    public static final String USER_GROUP_NAME = "UserGroupName";
    public static final String USER_ID = "UserID";
    public static final String USER_NAME = "UserName";
    public static final String BUSINESS_TRANSACTION_ID = "BusinessTransactionID";
    public static final String BUSINESS_TRANSACTION_NAME = "BusinessTransactionName";
    public static final String TOTAL_TRANSACTION_COUNT = "TotalTransactionCount";
    public static final String OPPORTUNITY_COUNT = "OpportunityCount";
    public static final String BAD_TRANSACTION_COUNT = "BadTransactionCount";
    public static final String DEFECT_COUNT = "DefectCount";
    public static final String TRANSACTION_THROUGHPUT_MAX = "TransactionThroughputMax(Bytes/s)";
    public static final String TRANSACTION_THROUGHPUT_MIN = "TransactionThroughputMin(Bytes/s)";
    public static final String TRANSACTION_THROUGHPUT_AVG = "TransactionThroughputAvg(Bytes/s)";
    public static final String TRANSACTION_THROUGHPUT_PERCENTILE = "TransactionThroughputPercentile(Bytes/s)-";
    public static final String TRANSACTION_THROUGHPUT_STD_DEV = "TransactionThroughputStdDeviation(Bytes/s)";
    public static final String TRANSACTION_SIZE_MAX = "TransactionSizeMax(Bytes)";
    public static final String TRANSACTION_SIZE_MIN = "TransactionSizeMin(Bytes)";
    public static final String TRANSACTION_SIZE_AVG = "TransactionSizeAvg(Bytes)";
    public static final String TRANSACTION_SIZE_PERCENTILE = "TransactionSizePercentile(Bytes)-";
    public static final String TRANSACTION_SIZE_STD_DEV = "TransactionSizeStdDeviation(Bytes)";
    public static final String TRANSACTION_TIME_MAX = "TransactionTimeMax(ms)";
    public static final String TRANSACTION_TIME_MIN = "TransactionTimeMin(ms)";
    public static final String TRANSACTION_TIME_AVG = "TransactionTimeAvg(ms)";
    public static final String TRANSACTION_TIME_PERCENTILE = "TransactionTimePercentile(ms)-";
    public static final String TRANSACTION_TIME_STD_DEV = "TransactionTimeStdDeviation(ms)";
    public static final String DEFECT_ID = "#DefectID";
    public static final String DEFECT_NUMBER = "DefectNumber";
    public static final String OCCUR_DATE = "OccurDate";
    public static final String DEFECT_VALUE = "DefectValue";
    public static final String OBSERVED_VALUE = "ObservedValue";
    public static final String HTTP_STATUS_CODE = "HttpStatusCode";
    public static final String TRANSACTION_SIZE = "TransactionSize(Bytes)";
    public static final String TRANSACTION_TIME = "TransactionTime(ms)";
    public static final String BIZ_IMPACT = "BizImpact";
    public static final String DEFECT_TYPE = "DefectType";
    public static final String USER_IMPORTANCE = "UserImportance";
    public static final String DEFECT_IMPORTANCE = "DefectImportance";
    public static final String TRANSACTION_IMPORTANCE = "TransactionImportance";
    public static final String SERVER_IP = "ServerIP";
    public static final String SERFVER_MAC = "ServerMAC";
    public static final String SERVER_PORT = "ServerPort";
    public static final String CLIENT_IP = "ClientIP";
    public static final String MISSING_ID = "MissingID";
    public static final String MISSING_NAME = "MissingName";
    public static final String DATA_TYPE = "DataType";
    public static final String LOGIN_NAME = "LoginName";
    public static final String INCIDENT_ID = "#IncidentID";
    public static final String INCIDENT_NAME = "IncidentName";
    public static final String TICKET_NUMBER = "TicketNumber";
    public static final String CAUSE = "Cause";
    public static final String CLOSE_BY = "CloseBy";
    public static final String EVIDENCE1 = "Evidence1";
    public static final String EVIDENCE2 = "Evidence2";
    public static final String EVIDENCE3 = "Evidence3";
    public static final String IMPACT_THRESHOLD = "ImpactThreshold";
    public static final String LAST_MODIFY = "LastModify";
    public static final String NUMBER_OF_DEFECTS = "NumberOfDefects";
    public static final String NUMBER_OF_GROUPS = "NumberOfGroups";
    public static final String NUMBER_OF_USERS = "NumberOfUsers";
    public static final String RESOLUTION = "Resolution";
    public static final String START_DATE = "StartDate";
    public static final String CLOSE_DATE = "CloseDate";
    public static final String STATUS = "Status";
    public static final String ASSIGNEE = "Assignee";
    public static final String TRIGGER_DATE = "TriggerDate";
}
